Page MenuHomePhabricator

Improve GlobalRename's AntiSpoof checking feature
Closed, ResolvedPublic

Description

  • Check that the conflicting name isn't the name we're renaming away from
  • Display the conflicting name(s) as long as they aren't globally oversighted.

Version: unspecified
Severity: enhancement

Details

Reference
bz73573

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz73573.
bzimport added a subscriber: Unknown Object (MLST).
Legoktm created this task.Nov 18 2014, 8:06 PM

Change 175750 had a related patch set uploaded (by Legoktm):
Display username for AntiSpoof conflicts

https://gerrit.wikimedia.org/r/175750

Change 175750 merged by jenkins-bot:
Display username for AntiSpoof conflicts

https://gerrit.wikimedia.org/r/175750

Legoktm closed this task as Resolved.Mar 13 2015, 5:53 PM
Legoktm claimed this task.
Stryn added a subscriber: Stryn.Apr 24 2015, 7:26 PM

Shouldn't this show more than one conflicting name at the same time?

This is just an example (almost like a real case, just the characters are different):
I'm going to rename "ödsgdksghdsn" to "ABC"
I get "The chosen username is too similar to existing usernames: A bc."

When I look at the CentralAuth I can find that there are also other usernames like "ABC", for example "Abc".
Why it doesn't mention all of those conflicting usernames?

Keegan moved this task from Backlog to Closed on the GlobalRename board.Apr 29 2015, 8:47 PM
DerHexer reopened this task as Open.
DerHexer set Security to None.
DerHexer added subscribers: Steinsplitter, Xeno, Aklapper.

Shouldn't this show more than one conflicting name at the same time?

This is just an example (almost like a real case, just the characters are different):
I'm going to rename "ödsgdksghdsn" to "ABC"
I get "The chosen username is too similar to existing usernames: A bc."

When I look at the CentralAuth I can find that there are also other usernames like "ABC", for example "Abc".
Why it doesn't mention all of those conflicting usernames?

It does support showing multiple usernames and it seems to work. If it doesn't show a similar username, it means AntiSpoof thinks that the username is not similar.

Glaisher closed this task as Resolved.May 16 2015, 6:55 AM
Glaisher removed a project: Patch-For-Review.